Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class DataProvider

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.capabilities.DataProvider

    public class DataProvider

extends Object

This class represents a dataprovider object.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Constructor Summary
`DataProvider(String providerName, URL providerSite, LogoURL logoURL)` Creates a new data provider object from providerName, providerSite and logoUrl.

Method Summary
`LogoURL` | `getLogoURL()`
`String` | `getProviderName()`
`URL` | `getProviderSite()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataProvider

    public DataProvider(String providerName,
                        URL providerSite,
                        LogoURL logoURL)

  Creates a new data provider object from providerName, providerSite and logoUrl.

  Parameters:
    `providerName` -
    `providerSite` -
    `logoURL` -

Method Detail

### getLogoURL

    public LogoURL getLogoURL()

  Returns:
    Returns the logoURL.

### getProviderName

    public String getProviderName()

  Returns:
    Returns the providerName.

### getProviderSite

    public URL getProviderSite()

  Returns:
    Returns the providerSite.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org